#!/usr/bin/perl
# create sorted list of idioms for 'wow' in bingo.html

my(@lines, $line, @namesInLine, @names, $name, @tnames, $firstPhrase,
   $countPhrases, $countPhrasesMod);

chomp(@lines = <>);

foreach $line (@lines) {
    $line =~ s/^\s+//;
    $line =~ s/\s+$//;
    $line =~ s/,$//;
    @namesInLine = split(/['"], /, $line);
    push(@names, @namesInLine); 
}

foreach $name (@names) {
   $name =~ s/^['"]//;
   $name =~ s/['"]$//;
   push(@tnames, $name);
}
@names = @tnames;

sub by_main_phrase {
    $sa = $a;
    $sb = $b;

    $sa =~ s/,/ /g;
    $sb =~ s/,/ /g;

    $sa =~ s/\./ /g;
    $sb =~ s/\./ /g;

    $sa =~ s/\-/ /g;
    $sb =~ s/\-/ /g;

    $sa =~ s/ by//g;
    $sb =~ s/ by//g;
    
    $sa =~ s/^[ ][ ]*//;

    for ($i = 1; $i <= 5; $i++) {

        $sa =~ s/^a bit //;
        $sb =~ s/^a bit //;

        $sa =~ s/^a certain //;
        $sb =~ s/^a certain //;

        $sa =~ s/^a moment of //;
        $sb =~ s/^a moment of //;
  
        $sa =~ s/^an? ['"]?//;
        $sb =~ s/^an? ['"]?//;
    
        $sa =~ s/^in for a //;
        $sb =~ s/^in for a //;
    
        $sa =~ s/^like you're //;
        $sb =~ s/^like you're //;
    
        $sa =~ s/^we may be //;
        $sb =~ s/^we may be //;
    
        $sa =~ s/^may the //;
        $sb =~ s/^may the //;
    
        $sa =~ s/^yours for the //;
        $sb =~ s/^yours for the //;

        $sa =~ s/^a moment of //;
        $sb =~ s/^a moment of //;
  
        $sa =~ s/^an? ['"]?//;
        $sb =~ s/^an? ['"]?//;
    
        $sa =~ s/^in for a //;
        $sb =~ s/^in for a //;
    
        $sa =~ s/^like you're //;
        $sb =~ s/^like you're //;
    
        $sa =~ s/^we may be //;
        $sb =~ s/^we may be //;
    
        $sa =~ s/^may the //;
        $sb =~ s/^may the //;
    
        $sa =~ s/^yours for the //;
        $sb =~ s/^yours for the //;
    
        $sa =~ s/^there will be some //;
        $sb =~ s/^there will be some //;
    
        $sa =~ s/^if you've //;
        $sb =~ s/^if you've //;
    
        $sa =~ s/^if you //;
        $sb =~ s/^if you //;
    
        $sa =~ s/^it ain't //;
        $sb =~ s/^it ain't //;
    
        $sa =~ s/^you were //;
        $sb =~ s/^you were //;
    
        $sa =~ s/^you ain't //;
        $sb =~ s/^you ain't //;

        $sa =~ s/^ain't //;
        $sb =~ s/^ain't //;
    
        $sa =~ s/^I can't //;
        $sb =~ s/^I can't //;
    
        $sa =~ s/^I cannot //;
        $sb =~ s/^I cannot //;
    
        $sa =~ s/^you have been //;
        $sb =~ s/^you have been //;
    
        $sa =~ s/^you have a //;
        $sb =~ s/^you have a //;
    
        $sa =~ s/^you have //;
        $sb =~ s/^you have //;
    
        $sa =~ s/^you are not an //;
        $sb =~ s/^you are not an //;
    
        $sa =~ s/^that's //;
        $sb =~ s/^that's //;
    
        $sa =~ s/^I'll be //;
        $sb =~ s/^I'll be //;
    
        $sa =~ s/^I'll //;
        $sb =~ s/^I'll //;
    
        $sa =~ s/^I've got a //;
        $sb =~ s/^I've got a //;
    
        $sa =~ s/^I've got //;
        $sb =~ s/^I've got //;
    
        $sa =~ s/^I've been //;
        $sb =~ s/^I've been //;
    
        $sa =~ s/^I've //;
        $sb =~ s/^I've //;
    
        $sa =~ s/^I'm a //;
        $sb =~ s/^I'm a //;
    
        $sa =~ s/^I am //;
        $sb =~ s/^I am //;
    
        $sa =~ s/^I'm //;
        $sb =~ s/^I'm //;
    
        $sa =~ s/^it won't be a //;
        $sb =~ s/^it won't be a //;
    
        $sa =~ s/^it won't //;
        $sb =~ s/^it won't //;
    
        $sa =~ s/^we won't //;
        $sb =~ s/^we won't //;
    
        $sa =~ s/^it's in your //;
        $sb =~ s/^it's in your //;
    
        $sa =~ s/^it's about //;
        $sb =~ s/^it's about //;
    
        $sa =~ s/^it's all about the //;
        $sb =~ s/^it's all about the //;
    
        $sa =~ s/^it's a //;
        $sb =~ s/^it's a //;
    
        $sa =~ s/^it's //;
        $sb =~ s/^it's //;
    
        $sa =~ s/^it is a //;
        $sb =~ s/^it is a //;
    
        $sa =~ s/^it is //;
        $sb =~ s/^it is //;
    
        $sa =~ s/^it was //;
        $sb =~ s/^it was //;
    
        $sa =~ s/^isn't //;
        $sb =~ s/^isn't //;
    
        $sa =~ s/^it'll //;
        $sb =~ s/^it'll //;
    
        $sa =~ s/^wasn't //;
        $sb =~ s/^wasn't //;
    
        $sa =~ s/^are we //;
        $sb =~ s/^are we //;
    
        $sa =~ s/^are you //;
        $sb =~ s/^are you //;
    
        $sa =~ s/^there's a //;
        $sb =~ s/^there's a //;
    
        $sa =~ s/^there's //;
        $sb =~ s/^there's //;
    
        $sa =~ s/^there are //;
        $sb =~ s/^there are //;
    
        $sa =~ s/^there is //;
        $sb =~ s/^there is //;
    
        $sa =~ s/^there //;
        $sb =~ s/^there //;
    
        $sa =~ s/^they are //;
        $sb =~ s/^they are //;
    
        $sa =~ s/^they've //;
        $sb =~ s/^they've //;

        $sa =~ s/^they //;
        $sb =~ s/^they //;
    
        $sa =~ s/^this isn't a //;
        $sb =~ s/^this isn't a //;
    
        $sa =~ s/^this isn't //;
        $sb =~ s/^this isn't //;
    
        $sa =~ s/^this is the //;
        $sb =~ s/^this is the //;
    
        $sa =~ s/^this is a //;
        $sb =~ s/^this is a //;
    
        $sa =~ s/^this will //;
        $sb =~ s/^this will //;
    
        $sa =~ s/^this is //;
        $sb =~ s/^this is //;
    
        $sa =~ s/^that is //;
        $sb =~ s/^that is //;
    
        $sa =~ s/^we'll //;
        $sb =~ s/^we'll //;
    
        $sa =~ s/^we've got //;
        $sb =~ s/^we've got //;
    
        $sa =~ s/^we've //;
        $sb =~ s/^we've //;
    
        $sa =~ s/^we're into //;
        $sb =~ s/^we're into //;
    
        $sa =~ s/^into the //;
        $sb =~ s/^into the //;
    
        $sa =~ s/^we're in a //;
        $sb =~ s/^we're in a //;
    
        $sa =~ s/^we're having a //;
        $sb =~ s/^we're having a //;

        $sa =~ s/^having //;
        $sb =~ s/^having //;
    
        $sa =~ s/^we're //;
        $sb =~ s/^we're //;
    
        $sa =~ s/^we are //;
        $sb =~ s/^we are //;
    
        $sa =~ s/^we were //;
        $sb =~ s/^we were //;
    
        $sa =~ s/^what a //;
        $sb =~ s/^what a //;
    
        $sa =~ s/^what the //;
        $sb =~ s/^what the //;
    
        $sa =~ s/^what in //;
        $sb =~ s/^what in //;
    
        $sa =~ s/^what's //;
        $sb =~ s/^what's //;
    
        $sa =~ s/^what //;
        $sb =~ s/^what //;
    
        $sa =~ s/^will //;
        $sb =~ s/^will //;
    
        $sa =~ s/^will not //;
        $sb =~ s/^will not //;
    
        $sa =~ s/^won't //;
        $sb =~ s/^won't //;
    
        $sa =~ s/^you'll //;
        $sb =~ s/^you'll //;
    
        $sa =~ s/^you're on a //;
        $sb =~ s/^you're on a //;
    
        $sa =~ s/^you're a //;
        $sb =~ s/^you're a //;
    
        $sa =~ s/^you're //;
        $sb =~ s/^you're //;
    
        $sa =~ s/^you've been //;
        $sb =~ s/^you've been //;
    
        $sa =~ s/^you've got to //;
        $sb =~ s/^you've got to //;
    
        $sa =~ s/^you've //;
        $sb =~ s/^you've //;
    
        $sa =~ s/^you are //;
        $sb =~ s/^you are //;
    
        $sa =~ s/^you won't //;
        $sb =~ s/^you won't //;
    
        $sa =~ s/^you //;
        $sb =~ s/^you //;
    
        $sa =~ s/^I don't //;
        $sb =~ s/^I don't //;
    
        $sa =~ s/^don't //;
        $sb =~ s/^don't //;
    
        $sa =~ s/^in a //;
        $sb =~ s/^in a //;
    
        $sa =~ s/^in //;
        $sb =~ s/^in //;
    
        $sa =~ s/^on a //;
        $sb =~ s/^on a //;
    
        $sa =~ s/^on the //;
        $sb =~ s/^on the //;
    
        $sa =~ s/^on //;
        $sb =~ s/^on //;
    
        $sa =~ s/^all to //;
        $sb =~ s/^all to //;
    
        $sa =~ s/^all of your //;
        $sb =~ s/^all of your //;
    
        $sa =~ s/^all //;
        $sb =~ s/^all //;
    
        $sa =~ s/^at a //;
        $sb =~ s/^at a //;
    
        $sa =~ s/^at //;
        $sb =~ s/^at //;
    
        $sa =~ s/^we like it //;
        $sb =~ s/^we like it //;
    
        $sa =~ s/^like a //;
        $sb =~ s/^like a //;
    
        $sa =~ s/^like an //;
        $sb =~ s/^like an //;
    
        $sa =~ s/^like the //;
        $sb =~ s/^like the //;
    
        $sa =~ s/^likes //;
        $sb =~ s/^likes //;

        $sa =~ s/^like //;
        $sb =~ s/^like //;
    
        $sa =~ s/^made a //;
        $sb =~ s/^made a //;
    
        $sa =~ s/^not a //;
        $sb =~ s/^not a //;
    
        $sa =~ s/^not //;
        $sb =~ s/^not //;
    
        $sa =~ s/^no //;
        $sb =~ s/^no //;
    
        $sa =~ s/^so //;
        $sb =~ s/^so //;
    
        $sa =~ s/^I was //;
        $sb =~ s/^I was //;
    
        $sa =~ s/^I was not //;
        $sb =~ s/^I was not //;
    
        $sa =~ s/^I was the //;
        $sb =~ s/^I was the //;
    
        $sa =~ s/^was //;
        $sb =~ s/^was //;
    
        $sa =~ s/^the //;
        $sb =~ s/^the //;
    
        $sa =~ s/^my //;
        $sb =~ s/^my //;
    
        $sa =~ s/^your //;
        $sb =~ s/^your //;
    
        $sa =~ s/^you'd //;
        $sb =~ s/^you'd //;
    
        $sa =~ s/^another //;
        $sb =~ s/^another //;
    
        $sa =~ s/^in the //;
        $sb =~ s/^in the //;
    
        $sa =~ s/^in //;
        $sb =~ s/^in //;
    
        $sa =~ s/^taken with a //;
        $sb =~ s/^taken with a //;
    
        $sa =~ s/^taken with //;
        $sb =~ s/^taken with //;
    
        $sa =~ s/^taken a //;
        $sb =~ s/^taken a //;
    
        $sa =~ s/^taken //;
        $sb =~ s/^taken //;
    
        $sa =~ s/^takes a //;
        $sb =~ s/^takes a //;
    
        $sa =~ s/^takes //;
        $sb =~ s/^takes //;
    
        $sa =~ s/^take your //;
        $sb =~ s/^take your //;
    
        $sa =~ s/^take a //;
        $sb =~ s/^take a //;
    
        $sa =~ s/^take it to //;
        $sb =~ s/^take it to //;
    
        $sa =~ s/^take it for a //;
        $sb =~ s/^take it for a //;
    
        $sa =~ s/^for a //;
        $sb =~ s/^for a //;
    
        $sa =~ s/^take it //;
        $sb =~ s/^take it //;
    
        $sa =~ s/^take the //;
        $sb =~ s/^take the //;
    
        $sa =~ s/^take //;
        $sb =~ s/^take //;
    
        $sa =~ s/^would //;
        $sb =~ s/^would //;
    
        $sa =~ s/^it would be //;
        $sb =~ s/^it would be //;
    
        $sa =~ s/^got my //;
        $sb =~ s/^got my //;
    
        $sa =~ s/^got you //;
        $sb =~ s/^got you //;
    
        $sa =~ s/^got the //;
        $sb =~ s/^got the //;
    
        $sa =~ s/^I had the //;
        $sb =~ s/^I had the  //;
    
        $sa =~ s/^had the //;
        $sb =~ s/^had the  //;
    
        $sa =~ s/^had a //;
        $sb =~ s/^had a //;
    
        $sa =~ s/^had //;
        $sb =~ s/^had //;
    
        $sa =~ s/^I have a //;
        $sb =~ s/^I have a //;
    
        $sa =~ s/^I have //;
        $sb =~ s/^I have //;
    
        $sa =~ s/^we have //;
        $sb =~ s/^we have //;
    
        $sa =~ s/^have a //;
        $sb =~ s/^have a //;
    
        $sa =~ s/^have it //;
        $sb =~ s/^have it //;
    
        $sa =~ s/^haven't //;
        $sb =~ s/^haven't //;
    
        $sa =~ s/^have //;
        $sb =~ s/^have //;
    
        $sa =~ s/^I wouldn't //;
        $sb =~ s/^I wouldn't //;
    
        $sa =~ s/^we wouldn't //;
        $sb =~ s/^we wouldn't //;
    
        $sa =~ s/^wouldn't //;
        $sb =~ s/^wouldn't //;
    
        $sa =~ s/^let it //;
        $sb =~ s/^let it //;
    
        $sa =~ s/^let me //;
        $sb =~ s/^let me //;
    
        $sa =~ s/^let there be //;
        $sb =~ s/^let there be //;
    
        $sa =~ s/^let the //;
        $sb =~ s/^let the //;
    
        $sa =~ s/^let's have a //;
        $sb =~ s/^let's have a //;
    
        $sa =~ s/^let's be //;
        $sb =~ s/^let's be //;

        $sa =~ s/^don't get //;
        $sb =~ s/^don't get //;
    
        $sa =~ s/^let's get this //;
        $sb =~ s/^let's get this //;
    
        $sa =~ s/^let's get the //;
        $sb =~ s/^let's get the //;
    
        $sa =~ s/^let's get //;
        $sb =~ s/^let's get //;
    
        $sa =~ s/^get your //;
        $sb =~ s/^get your //;
    
        $sa =~ s/^this gets an //;
        $sb =~ s/^this gets an //;
    
        $sa =~ s/^get a //;
        $sb =~ s/^get a //;
    
        $sa =~ s/^get the //;
        $sb =~ s/^get the //;
    
        $sa =~ s/^get in the //;
        $sb =~ s/^get in the //;
    
        $sa =~ s/^gets //;
        $sb =~ s/^gets //;
    
        $sa =~ s/^get //;
        $sb =~ s/^get //;
    
        $sa =~ s/^let's not //;
        $sb =~ s/^let's not //;
    
        $sa =~ s/^let's //;
        $sb =~ s/^let's //;
    
        $sa =~ s/^make the //;
        $sb =~ s/^make the //;
    
        $sa =~ s/^make it //;
        $sb =~ s/^make it //;
    
        $sa =~ s/^make out like a //;
        $sb =~ s/^make out like a //;
    
        $sa =~ s/^make out //;
        $sb =~ s/^make out //;
    
        $sa =~ s/^make some //;
        $sb =~ s/^make some //;
    
        $sa =~ s/^make a //;
        $sb =~ s/^make a //;
    
        $sa =~ s/^make an //;
        $sb =~ s/^make an //;
    
        $sa =~ s/^making //;
        $sb =~ s/^making //;

        $sa =~ s/^makes //;
        $sb =~ s/^makes //;

        $sa =~ s/^make //;
        $sb =~ s/^make //;
    
        $sa =~ s/^made //;
        $sb =~ s/^made //;

        $sa =~ s/^maybe //;
        $sb =~ s/^maybe //;

        $sa =~ s/^nearly //;
        $sb =~ s/^nearly //;

        $sa =~ s/^only //;
        $sb =~ s/^only //;

        $sa =~ s/^puts //;
        $sb =~ s/^puts //;

        $sa =~ s/^put //;
        $sb =~ s/^put //;

        $sa =~ s/^too //;
        $sb =~ s/^too //;
    
        $sa =~ s/^want //;
        $sb =~ s/^want //;

        $sa =~ s/^be a //;
        $sb =~ s/^be a //;
    
        $sa =~ s/^be in the //;
        $sb =~ s/^be in the //;
    
        $sa =~ s/^be the //;
        $sb =~ s/^be the //;
    
        $sa =~ s/^kind of //;
        $sb =~ s/^kind of //;
    
        $sa =~ s/^lot of //;
        $sb =~ s/^lot of //;

        $sa =~ s/^lot //;
        $sb =~ s/^lot //;
    
        $sa =~ s/^be //;
        $sb =~ s/^be //;
    
        $sa =~ s/^we //;
        $sb =~ s/^we //;
    
        $sa =~ s/^I //;
        $sb =~ s/^I //;
    
        $sa =~ s/^it //;
        $sb =~ s/^it //;
    
        $sa =~ s/^that //;
        $sb =~ s/^that //;
    
        $sa =~ s/^this //;
        $sb =~ s/^this //;
    
        $sa =~ s/^with a //;
        $sb =~ s/^with a //;
    
        $sa =~ s/^with //;
        $sb =~ s/^with //;
    
        $sa =~ s/^and //;
        $sb =~ s/^and //;
    
        $sa =~ s/^And //;
        $sb =~ s/^And //;
    
        $sa =~ s/^should //;
        $sb =~ s/^should //;
    
        $sa =~ s/^as //;
        $sb =~ s/^as //;
    
        $sa =~ s/^lets //;
        $sb =~ s/^lets //;

        $sa =~ s/^let //;
        $sb =~ s/^let //;
    
        $sa =~ s/^the //;
        $sb =~ s/^the //;
    
        $sa =~ s/^hasn't //;
        $sb =~ s/^hasn't //;

        $sa =~ s/^has //;
        $sb =~ s/^has //;
    
        $sa =~ s/^if //;
        $sb =~ s/^if //;
    
        $sa =~ s/^our //;
        $sb =~ s/^our //;
    
        $sa =~ s/^to //;
        $sb =~ s/^to //;
    
        $sa =~ s/^been //;
        $sb =~ s/^been //;
    
        $sa =~ s/^into //;
        $sb =~ s/^into //;
    
        $sa =~ s/^now //;
        $sb =~ s/^now //;
    
        $sa =~ s/^some //;
        $sb =~ s/^some //;
    
        $sa =~ s/^can't //;
        $sb =~ s/^can't //;
    
        $sa =~ s/^can //;
        $sb =~ s/^can //;
    
        $sa =~ s/^for //;
        $sb =~ s/^for //;
    
        $sa =~ s/^from //;
        $sb =~ s/^from //;
    
        $sa =~ s/^relax //;
        $sb =~ s/^relax //;

        $sa =~ s/^enjoy //;
        $sb =~ s/^enjoy //;

        $sa =~ s/^feel //;
        $sb =~ s/^feel //;

        $sa =~ s/^finds //;
        $sb =~ s/^finds //;

        $sa =~ s/^finding //;
        $sb =~ s/^finding //;

        $sa =~ s/^find //;
        $sb =~ s/^find //;

        $sa =~ s/^need //;
        $sb =~ s/^need //;

        $sa =~ s/^things //;
        $sb =~ s/^things //;

        $sa =~ s/^thing //;
        $sb =~ s/^thing //;

        $sa =~ s/^those //;
        $sb =~ s/^those //;
    
        $sa =~ s/^us //;
        $sb =~ s/^us //;
    
        $sa =~ s/^do //;
        $sb =~ s/^do //;
    
        $sa =~ s/^does //;
        $sb =~ s/^does //;
    
        $sa =~ s/^doesn't //;
        $sb =~ s/^doesn't //;
    
        $sa =~ s/^or //;
        $sb =~ s/^or //;
    
        $sa =~ s/^I'd //;
        $sb =~ s/^I'd //;
    
        $sa =~ s/^Is //;
        $sb =~ s/^Is //;
    
        $sa =~ s/^is //;
        $sb =~ s/^is //;
    
        $sa =~ s/^of //;
        $sb =~ s/^of //;
    
        $sa =~ s/^any //;
        $sb =~ s/^any //;
    
        $sa =~ s/^how about //;
        $sb =~ s/^how about //;

        $sa =~ s/^how //;
        $sb =~ s/^how //;
    
        $sa =~ s/^because //;
        $sb =~ s/^because //;
    
        $sa =~ s/^couldn't //;
        $sb =~ s/^couldn't //;
    
        $sa =~ s/^could //;
        $sb =~ s/^could //;
    
        $sa =~ s/^did //;
        $sb =~ s/^did //;

        $sa =~ s/^tis //;
        $sb =~ s/^tis //;
    
        $sa =~ s/^didn't //;
        $sb =~ s/^didn't //;
    
        $sa =~ s/^It's //;
        $sb =~ s/^It's //;
    
        $sa =~ s/^may //;
        $sb =~ s/^may //;
    
        $sa =~ s/^me //;
        $sb =~ s/^me //;
    
        $sa =~ s/^got //;
        $sb =~ s/^got //;

        $sa =~ s/^might //;
        $sb =~ s/^might //;
    
        $sa =~ s/^shall //;
        $sb =~ s/^shall //;

        $sa =~ s/^being //;
        $sb =~ s/^being //;

        $sa =~ s/^came //;
        $sb =~ s/^came //;

        $sa =~ s/^even //;
        $sb =~ s/^even //;

        $sa =~ s/^ever //;
        $sb =~ s/^ever //;

        $sa =~ s/^gave //;
        $sb =~ s/^gave //;

        $sa =~ s/^giving //;
        $sb =~ s/^giving //;

        $sa =~ s/^gives //;
        $sb =~ s/^gives //;

        $sa =~ s/^given //;
        $sb =~ s/^given //;

        $sa =~ s/^give //;
        $sb =~ s/^give //;

        $sa =~ s/^goes //;
        $sb =~ s/^goes //;

        $sa =~ s/^go //;
        $sb =~ s/^go //;

        $sa =~ s/^its //;
        $sb =~ s/^its //;

        $sa =~ s/^he's //;
        $sb =~ s/^he's //;

        $sa =~ s/^he'll //;
        $sb =~ s/^he'll //;

        $sa =~ s/^she'll //;
        $sb =~ s/^she'll //;

        $sa =~ s/^just //;
        $sb =~ s/^just //;

        $sa =~ s/^keeping //;
        $sb =~ s/^keeping //;

        $sa =~ s/^kept //;
        $sb =~ s/^kept //;

        $sa =~ s/^keeps //;
        $sb =~ s/^keeps //;

        $sa =~ s/^keep //;
        $sb =~ s/^keep //;

        $sa =~ s/^much //;
        $sb =~ s/^much //;

        $sa =~ s/^mustn't //;
        $sb =~ s/^mustn't //;

        $sa =~ s/^must //;
        $sb =~ s/^must //;

        $sa =~ s/^no-one //;
        $sb =~ s/^no-one //;

        $sa =~ s/^no one //;
        $sb =~ s/^no one //;

        $sa =~ s/^one //;
        $sb =~ s/^one //;

        $sa =~ s/^two //;
        $sb =~ s/^two //;

        $sa =~ s/^couple //;
        $sb =~ s/^couple //;

        $sa =~ s/^other //;
        $sb =~ s/^other //;

        $sa =~ s/^out //;
        $sb =~ s/^out //;

        $sa =~ s/^through //;
        $sb =~ s/^through //;

        $sa =~ s/^well //;
        $sb =~ s/^well //;

        $sa =~ s/^still //;
        $sb =~ s/^still //;

        $sa =~ s/^went down //;
        $sb =~ s/^went down //;

        $sa =~ s/^went //;
        $sb =~ s/^went //;

        $sa =~ s/^weren't //;
        $sb =~ s/^weren't //;

        $sa =~ s/^about //;
        $sb =~ s/^about //;

        $sa =~ s/^coming //;
        $sb =~ s/^coming //;

        $sa =~ s/^comes //;
        $sb =~ s/^comes //;

        $sa =~ s/^come //;
        $sb =~ s/^come //;

        $sa =~ s/^each //;
        $sb =~ s/^each //;

        $sa =~ s/^here's //;
        $sb =~ s/^here's //;

        $sa =~ s/^here //;
        $sb =~ s/^here //;

        $sa =~ s/^more //;
        $sb =~ s/^more //;

        $sa =~ s/^unless //;
        $sb =~ s/^unless //;

        $sa =~ s/^less //;
        $sb =~ s/^less //;

        $sa =~ s/^are //;
        $sb =~ s/^are //;

        $sa =~ s/^brings //;
        $sb =~ s/^brings //;

        $sa =~ s/^brought //;
        $sb =~ s/^brought //;

        $sa =~ s/^going //;
        $sb =~ s/^going //;

        $sa =~ s/^doing //;
        $sb =~ s/^doing //;

        $sa =~ s/^getting //;
        $sb =~ s/^getting //;

        $sa =~ s/^few //;
        $sb =~ s/^few //;

        $sa =~ s/^he //;
        $sb =~ s/^he //;

        $sa =~ s/^his //;
        $sb =~ s/^his //;

        $sa =~ s/^her //;
        $sb =~ s/^her //;

        $sa =~ s/^their //;
        $sb =~ s/^their //;

        $sa =~ s/^them //;
        $sb =~ s/^them //;

        $sa =~ s/^she //;
        $sb =~ s/^she //;

        $sa =~ s/^tha's //;
        $sb =~ s/^tha's //;

        $sa =~ s/^they'll //;
        $sb =~ s/^they'll //;

        $sa =~ s/^that'll //;
        $sb =~ s/^that'll //;

        $sa =~ s/^yourself //;
        $sb =~ s/^yourself //;

        $sa =~ s/^many //;
        $sb =~ s/^many //;

        $sa =~ s/^trying //;
        $sb =~ s/^trying //;

        $sa =~ s/^try //;
        $sb =~ s/^try //;

        $sa =~ s/^until //;
        $sb =~ s/^until //;

        $sa =~ s/^somebody //;
        $sb =~ s/^somebody //;

        $sa =~ s/^someone //;
        $sb =~ s/^someone //;

        $sa =~ s/^when //;
        $sb =~ s/^when //;

        $sa =~ s/^where //;
        $sb =~ s/^where //;

        $sa =~ s/^enough //;
        $sb =~ s/^enough //;

        $sa =~ s/^everyone's //;
        $sb =~ s/^everyone's //;

        $sa =~ s/^everyone //;
        $sb =~ s/^everyone //;

        $sa =~ s/^every //;
        $sb =~ s/^every //;

        $sa =~ s/^than //;
        $sb =~ s/^than //;

        $sa =~ s/^most //;
        $sb =~ s/^most //;

        $sa =~ s/^sets //;
        $sb =~ s/^sets //;

        $sa =~ s/^set //;
        $sb =~ s/^set //;

        $sa =~ s/^among //;
        $sb =~ s/^among //;

        $sa =~ s/^quite //;
        $sb =~ s/^quite //;

        $sa =~ s/^really //;
        $sb =~ s/^really //;

        $sa =~ s/^something //;
        $sb =~ s/^something //;

        $sa =~ s/^sometimes //;
        $sb =~ s/^sometimes //;

        $sa =~ s/^somehow //;
        $sb =~ s/^somehow //;

        $sa =~ s/^a bit of //;
        $sb =~ s/^a bit of //;

        $sa =~ s/^bit of a //;
        $sb =~ s/^bit of a //;

        $sa =~ s/^taking //;
        $sb =~ s/^taking //;

        $sa =~ s/^but //;
        $sb =~ s/^but //;

        $sa =~ s/^look //;
        $sb =~ s/^look //;

        $sa =~ s/^such //;
        $sb =~ s/^such //;

        $sa =~ s/^took //;
        $sb =~ s/^took //;

        $sa =~ s/^always //;
        $sb =~ s/^always //;

        $sa =~ s/^not able //;
        $sb =~ s/^not able //;

        $sa =~ s/^who //;
        $sb =~ s/^who //;

        $sa =~ s/^seems //;
        $sb =~ s/^seems //;

        $sa =~ s/^seem //;
        $sb =~ s/^seem //;
    
        $sa =~ s/^I //;
        $sb =~ s/^I //;

        $sa =~ s/^create //;
        $sb =~ s/^create //;
    
        $sa =~ s/^\(//;
        $sb =~ s/^\(//;
    
        $sa =~ s/^'//;
        $sb =~ s/^'//;
    
        $sa =~ s/^[ ][ ]*//;
        $sb =~ s/^[ ][ ]*//;
    }

    $sa =~ tr/A-Z/a-z/;
    $sb =~ tr/A-Z/a-z/;

    $sa cmp $sb;
}

foreach $name (sort by_main_phrase @names) {
   print "$name\n";
}
